Subject: bug#65896: 30.0.50; folding text with text properties prevents background from extending past the newline

From: StrawberryTea <[email-masked]>
Date: Fri, 29 Sep 2023 14:07:17 -0500

Basically, it’s always possible to overlay the newline after a fold or shorten
the fold by one character and overlay a newline for the last character then set
a face and extend property for that newline. But even with this, when the last
character in the buffer is not a newline and has the extend property, its face
is not extended and there is no character after to coerce into a newline.

What I think could be an alternative to adding all these overlays is a change on
the display engine side so that the extend property on a character extends its
face background regardless of whether it’s a newline character.

Juri Linkov <[email-masked]> writes:

>>> I tried, but the conclusion was that this requires changes in the display engine.
>>
>> Could you expand on what exactly you tried, and what limitations you
>> faced?  (Apologies if you went over this somewhere else and I missed it)
>
> Sorry, I don’t remember the details, have to reread previous threads,
> maybe this is already possible without changes in the display engine.